Package ghidra.rmi.trace

# Class TraceRmi

java.lang.Object
ghidra.rmi.trace.TraceRmi

@Generated public final class TraceRmi extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `TraceRmi.Addr`
  Protobuf type `ghidra.rmi.trace.Addr`
  `static interface`
  `TraceRmi.AddrOrBuilder`
  `static final class`
  `TraceRmi.AddrRange`
  Protobuf type `ghidra.rmi.trace.AddrRange`
  `static interface`
  `TraceRmi.AddrRangeOrBuilder`
  `static final class`
  `TraceRmi.BoolArr`
  Protobuf type `ghidra.rmi.trace.BoolArr`
  `static interface`
  `TraceRmi.BoolArrOrBuilder`
  `static final class`
  `TraceRmi.Box`
  Protobuf type `ghidra.rmi.trace.Box`
  `static interface`
  `TraceRmi.BoxOrBuilder`
  `static final class`
  `TraceRmi.Compiler`
  Protobuf type `ghidra.rmi.trace.Compiler`
  `static interface`
  `TraceRmi.CompilerOrBuilder`
  `static final class`
  `TraceRmi.DomObjId`
  Protobuf type `ghidra.rmi.trace.DomObjId`
  `static interface`
  `TraceRmi.DomObjIdOrBuilder`
  `static final class`
  `TraceRmi.FilePath`
  Protobuf type `ghidra.rmi.trace.FilePath`
  `static interface`
  `TraceRmi.FilePathOrBuilder`
  `static final class`
  `TraceRmi.IntArr`
  Protobuf type `ghidra.rmi.trace.IntArr`
  `static interface`
  `TraceRmi.IntArrOrBuilder`
  `static final class`
  `TraceRmi.Language`
  Protobuf type `ghidra.rmi.trace.Language`
  `static interface`
  `TraceRmi.LanguageOrBuilder`
  `static final class`
  `TraceRmi.LongArr`
  Protobuf type `ghidra.rmi.trace.LongArr`
  `static interface`
  `TraceRmi.LongArrOrBuilder`
  `static enum`
  `TraceRmi.MemoryState`
  Protobuf enum `ghidra.rmi.trace.MemoryState`
  `static final class`
  `TraceRmi.Method`
  Protobuf type `ghidra.rmi.trace.Method`
  `static final class`
  `TraceRmi.MethodArgument`
  Protobuf type `ghidra.rmi.trace.MethodArgument`
  `static interface`
  `TraceRmi.MethodArgumentOrBuilder`
  `static interface`
  `TraceRmi.MethodOrBuilder`
  `static final class`
  `TraceRmi.MethodParameter`
  Protobuf type `ghidra.rmi.trace.MethodParameter`
  `static interface`
  `TraceRmi.MethodParameterOrBuilder`
  `static final class`
  `TraceRmi.Null`
  Protobuf type `ghidra.rmi.trace.Null`
  `static interface`
  `TraceRmi.NullOrBuilder`
  `static final class`
  `TraceRmi.ObjDesc`
  Protobuf type `ghidra.rmi.trace.ObjDesc`
  `static interface`
  `TraceRmi.ObjDescOrBuilder`
  `static final class`
  `TraceRmi.ObjPath`
  Protobuf type `ghidra.rmi.trace.ObjPath`
  `static interface`
  `TraceRmi.ObjPathOrBuilder`
  `static final class`
  `TraceRmi.ObjSpec`
  Protobuf type `ghidra.rmi.trace.ObjSpec`
  `static interface`
  `TraceRmi.ObjSpecOrBuilder`
  `static final class`
  `TraceRmi.RegVal`
  Protobuf type `ghidra.rmi.trace.RegVal`
  `static interface`
  `TraceRmi.RegValOrBuilder`
  `static final class`
  `TraceRmi.ReplyActivate`
  Protobuf type `ghidra.rmi.trace.ReplyActivate`
  `static interface`
  `TraceRmi.ReplyActivateOrBuilder`
  `static final class`
  `TraceRmi.ReplyCloseTrace`
  Protobuf type `ghidra.rmi.trace.ReplyCloseTrace`
  `static interface`
  `TraceRmi.ReplyCloseTraceOrBuilder`
  `static final class`
  `TraceRmi.ReplyCreateObject`
  Protobuf type `ghidra.rmi.trace.ReplyCreateObject`
  `static interface`
  `TraceRmi.ReplyCreateObjectOrBuilder`
  `static final class`
  `TraceRmi.ReplyCreateOverlaySpace`
  Protobuf type `ghidra.rmi.trace.ReplyCreateOverlaySpace`
  `static interface`
  `TraceRmi.ReplyCreateOverlaySpaceOrBuilder`
  `static final class`
  `TraceRmi.ReplyCreateTrace`
  Protobuf type `ghidra.rmi.trace.ReplyCreateTrace`
  `static interface`
  `TraceRmi.ReplyCreateTraceOrBuilder`
  `static final class`
  `TraceRmi.ReplyDeleteBytes`
  Protobuf type `ghidra.rmi.trace.ReplyDeleteBytes`
  `static interface`
  `TraceRmi.ReplyDeleteBytesOrBuilder`
  `static final class`
  `TraceRmi.ReplyDeleteRegisterValue`
  Protobuf type `ghidra.rmi.trace.ReplyDeleteRegisterValue`
  `static interface`
  `TraceRmi.ReplyDeleteRegisterValueOrBuilder`
  `static final class`
  `TraceRmi.ReplyDisassemble`
  Protobuf type `ghidra.rmi.trace.ReplyDisassemble`
  `static interface`
  `TraceRmi.ReplyDisassembleOrBuilder`
  `static final class`
  `TraceRmi.ReplyEndTx`
  Protobuf type `ghidra.rmi.trace.ReplyEndTx`
  `static interface`
  `TraceRmi.ReplyEndTxOrBuilder`
  `static final class`
  `TraceRmi.ReplyError`
  Protobuf type `ghidra.rmi.trace.ReplyError`
  `static interface`
  `TraceRmi.ReplyErrorOrBuilder`
  `static final class`
  `TraceRmi.ReplyGetObject`
  Protobuf type `ghidra.rmi.trace.ReplyGetObject`
  `static interface`
  `TraceRmi.ReplyGetObjectOrBuilder`
  `static final class`
  `TraceRmi.ReplyGetValues`
  Protobuf type `ghidra.rmi.trace.ReplyGetValues`
  `static interface`
  `TraceRmi.ReplyGetValuesOrBuilder`
  `static final class`
  `TraceRmi.ReplyInsertObject`
  Protobuf type `ghidra.rmi.trace.ReplyInsertObject`
  `static interface`
  `TraceRmi.ReplyInsertObjectOrBuilder`
  `static final class`
  `TraceRmi.ReplyNegotiate`
  Protobuf type `ghidra.rmi.trace.ReplyNegotiate`
  `static interface`
  `TraceRmi.ReplyNegotiateOrBuilder`
  `static final class`
  `TraceRmi.ReplyPutBytes`
  Protobuf type `ghidra.rmi.trace.ReplyPutBytes`
  `static interface`
  `TraceRmi.ReplyPutBytesOrBuilder`
  `static final class`
  `TraceRmi.ReplyPutRegisterValue`
  Protobuf type `ghidra.rmi.trace.ReplyPutRegisterValue`
  `static interface`
  `TraceRmi.ReplyPutRegisterValueOrBuilder`
  `static final class`
  `TraceRmi.ReplyRemoveObject`
  Protobuf type `ghidra.rmi.trace.ReplyRemoveObject`
  `static interface`
  `TraceRmi.ReplyRemoveObjectOrBuilder`
  `static final class`
  `TraceRmi.ReplyRetainValues`
  Protobuf type `ghidra.rmi.trace.ReplyRetainValues`
  `static interface`
  `TraceRmi.ReplyRetainValuesOrBuilder`
  `static final class`
  `TraceRmi.ReplySaveTrace`
  Protobuf type `ghidra.rmi.trace.ReplySaveTrace`
  `static interface`
  `TraceRmi.ReplySaveTraceOrBuilder`
  `static final class`
  `TraceRmi.ReplySetMemoryState`
  Protobuf type `ghidra.rmi.trace.ReplySetMemoryState`
  `static interface`
  `TraceRmi.ReplySetMemoryStateOrBuilder`
  `static final class`
  `TraceRmi.ReplySetValue`
  Protobuf type `ghidra.rmi.trace.ReplySetValue`
  `static interface`
  `TraceRmi.ReplySetValueOrBuilder`
  `static final class`
  `TraceRmi.ReplySnapshot`
  Protobuf type `ghidra.rmi.trace.ReplySnapshot`
  `static interface`
  `TraceRmi.ReplySnapshotOrBuilder`
  `static final class`
  `TraceRmi.ReplyStartTx`
  Protobuf type `ghidra.rmi.trace.ReplyStartTx`
  `static interface`
  `TraceRmi.ReplyStartTxOrBuilder`
  `static final class`
  `TraceRmi.RequestActivate`
  Protobuf type `ghidra.rmi.trace.RequestActivate`
  `static interface`
  `TraceRmi.RequestActivateOrBuilder`
  `static final class`
  `TraceRmi.RequestCloseTrace`
  Protobuf type `ghidra.rmi.trace.RequestCloseTrace`
  `static interface`
  `TraceRmi.RequestCloseTraceOrBuilder`
  `static final class`
  `TraceRmi.RequestCreateObject`
  Protobuf type `ghidra.rmi.trace.RequestCreateObject`
  `static interface`
  `TraceRmi.RequestCreateObjectOrBuilder`
  `static final class`
  `TraceRmi.RequestCreateOverlaySpace`
  Protobuf type `ghidra.rmi.trace.RequestCreateOverlaySpace`
  `static interface`
  `TraceRmi.RequestCreateOverlaySpaceOrBuilder`
  `static final class`
  `TraceRmi.RequestCreateRootObject`
  Protobuf type `ghidra.rmi.trace.RequestCreateRootObject`
  `static interface`
  `TraceRmi.RequestCreateRootObjectOrBuilder`
  `static final class`
  `TraceRmi.RequestCreateTrace`
  Protobuf type `ghidra.rmi.trace.RequestCreateTrace`
  `static interface`
  `TraceRmi.RequestCreateTraceOrBuilder`
  `static final class`
  `TraceRmi.RequestDeleteBytes`
  Protobuf type `ghidra.rmi.trace.RequestDeleteBytes`
  `static interface`
  `TraceRmi.RequestDeleteBytesOrBuilder`
  `static final class`
  `TraceRmi.RequestDeleteRegisterValue`
  Protobuf type `ghidra.rmi.trace.RequestDeleteRegisterValue`
  `static interface`
  `TraceRmi.RequestDeleteRegisterValueOrBuilder`
  `static final class`
  `TraceRmi.RequestDisassemble`
  Protobuf type `ghidra.rmi.trace.RequestDisassemble`
  `static interface`
  `TraceRmi.RequestDisassembleOrBuilder`
  `static final class`
  `TraceRmi.RequestEndTx`
  Protobuf type `ghidra.rmi.trace.RequestEndTx`
  `static interface`
  `TraceRmi.RequestEndTxOrBuilder`
  `static final class`
  `TraceRmi.RequestGetObject`
  Protobuf type `ghidra.rmi.trace.RequestGetObject`
  `static interface`
  `TraceRmi.RequestGetObjectOrBuilder`
  `static final class`
  `TraceRmi.RequestGetValues`
  Protobuf type `ghidra.rmi.trace.RequestGetValues`
  `static final class`
  `TraceRmi.RequestGetValuesIntersecting`
  Protobuf type `ghidra.rmi.trace.RequestGetValuesIntersecting`
  `static interface`
  `TraceRmi.RequestGetValuesIntersectingOrBuilder`
  `static interface`
  `TraceRmi.RequestGetValuesOrBuilder`
  `static final class`
  `TraceRmi.RequestInsertObject`
  Protobuf type `ghidra.rmi.trace.RequestInsertObject`
  `static interface`
  `TraceRmi.RequestInsertObjectOrBuilder`
  `static final class`
  `TraceRmi.RequestNegotiate`
  Protobuf type `ghidra.rmi.trace.RequestNegotiate`
  `static interface`
  `TraceRmi.RequestNegotiateOrBuilder`
  `static final class`
  `TraceRmi.RequestPutBytes`
  Protobuf type `ghidra.rmi.trace.RequestPutBytes`
  `static interface`
  `TraceRmi.RequestPutBytesOrBuilder`
  `static final class`
  `TraceRmi.RequestPutRegisterValue`
  Protobuf type `ghidra.rmi.trace.RequestPutRegisterValue`
  `static interface`
  `TraceRmi.RequestPutRegisterValueOrBuilder`
  `static final class`
  `TraceRmi.RequestRemoveObject`
  Protobuf type `ghidra.rmi.trace.RequestRemoveObject`
  `static interface`
  `TraceRmi.RequestRemoveObjectOrBuilder`
  `static final class`
  `TraceRmi.RequestRetainValues`
  Protobuf type `ghidra.rmi.trace.RequestRetainValues`
  `static interface`
  `TraceRmi.RequestRetainValuesOrBuilder`
  `static final class`
  `TraceRmi.RequestSaveTrace`
  Protobuf type `ghidra.rmi.trace.RequestSaveTrace`
  `static interface`
  `TraceRmi.RequestSaveTraceOrBuilder`
  `static final class`
  `TraceRmi.RequestSetMemoryState`
  Protobuf type `ghidra.rmi.trace.RequestSetMemoryState`
  `static interface`
  `TraceRmi.RequestSetMemoryStateOrBuilder`
  `static final class`
  `TraceRmi.RequestSetValue`
  Protobuf type `ghidra.rmi.trace.RequestSetValue`
  `static interface`
  `TraceRmi.RequestSetValueOrBuilder`
  `static final class`
  `TraceRmi.RequestSnapshot`
  Protobuf type `ghidra.rmi.trace.RequestSnapshot`
  `static interface`
  `TraceRmi.RequestSnapshotOrBuilder`
  `static final class`
  `TraceRmi.RequestStartTx`
  Protobuf type `ghidra.rmi.trace.RequestStartTx`
  `static interface`
  `TraceRmi.RequestStartTxOrBuilder`
  `static enum`
  `TraceRmi.Resolution`
  Protobuf enum `ghidra.rmi.trace.Resolution`
  `static final class`
  `TraceRmi.RootMessage`
  Protobuf type `ghidra.rmi.trace.RootMessage`
  `static interface`
  `TraceRmi.RootMessageOrBuilder`
  `static final class`
  `TraceRmi.Schedule`
  Protobuf type `ghidra.rmi.trace.Schedule`
  `static interface`
  `TraceRmi.ScheduleOrBuilder`
  `static final class`
  `TraceRmi.ShortArr`
  Protobuf type `ghidra.rmi.trace.ShortArr`
  `static interface`
  `TraceRmi.ShortArrOrBuilder`
  `static final class`
  `TraceRmi.Snap`
  Protobuf type `ghidra.rmi.trace.Snap`
  `static interface`
  `TraceRmi.SnapOrBuilder`
  `static final class`
  `TraceRmi.Span`
  Protobuf type `ghidra.rmi.trace.Span`
  `static interface`
  `TraceRmi.SpanOrBuilder`
  `static final class`
  `TraceRmi.StringArr`
  Protobuf type `ghidra.rmi.trace.StringArr`
  `static interface`
  `TraceRmi.StringArrOrBuilder`
  `static final class`
  `TraceRmi.TxId`
  Protobuf type `ghidra.rmi.trace.TxId`
  `static interface`
  `TraceRmi.TxIdOrBuilder`
  `static final class`
  `TraceRmi.ValDesc`
  Protobuf type `ghidra.rmi.trace.ValDesc`
  `static interface`
  `TraceRmi.ValDescOrBuilder`
  `static final class`
  `TraceRmi.ValSpec`
  Protobuf type `ghidra.rmi.trace.ValSpec`
  `static interface`
  `TraceRmi.ValSpecOrBuilder`
  `static final class`
  `TraceRmi.Value`
  Protobuf type `ghidra.rmi.trace.Value`
  `static enum`
  `TraceRmi.ValueKinds`
  Protobuf enum `ghidra.rmi.trace.ValueKinds`
  `static interface`
  `TraceRmi.ValueOrBuilder`
  `static final class`
  `TraceRmi.ValueType`
  Protobuf type `ghidra.rmi.trace.ValueType`
  `static interface`
  `TraceRmi.ValueTypeOrBuilder`
  `static final class`
  `TraceRmi.XReplyInvokeMethod`
  Protobuf type `ghidra.rmi.trace.XReplyInvokeMethod`
  `static interface`
  `TraceRmi.XReplyInvokeMethodOrBuilder`
  `static final class`
  `TraceRmi.XRequestInvokeMethod`
  Protobuf type `ghidra.rmi.trace.XRequestInvokeMethod`
  `static interface`
  `TraceRmi.XRequestInvokeMethodOrBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.google.protobuf.Descriptors.FileDescriptor`
  `getDescriptor()`
  `static void`
  `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
  `static void`
  `registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

  - ### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

  - ### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()